config/routes.rb
Rails.application.routes.draw do
  root to: 'pages#index'

  get '/sobre', to: 'pages#sobre', as: 'sobre'
  get '/cultura', to: 'pages#cultura', as: 'cultura'
  get '/mexilhao', to: 'pages#mexilhao', as: 'mexilhao'
  get '/contato', to: 'pages#contato', as: 'contato'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/pages_controller.rb
class PagesController < ApplicationController
  def index
  end
  def sobre    
  end
  def cultura    
  end
  def mexilhao    
  end
  def contato    
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/pages_helper.rb
module PagesHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Aconchego</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
  <%= render 'shared/header' %>
  
  <main role="main">    
    <%= yield %>
    <%= render 'shared/footer' %>
  </main>
  </body>
  
</html>

app/views/pages/contato.html.erb
<div class="container">
    <div class="row featurette">
        <div class="col-md-6 order-md-1">
            <h2 class="featurette-heading">Entre em contato. <span class="text-muted">Mande-nos um e-mail.</span></h2>  
                 <ul class="list-group list-group">
                    <li class="list-group-item  list-group-item-info">Nossos Contatos</li>
                    <li class="list-group-item">WhatsApp: (12) 9945825</li>
                    <li class="list-group-item">Facebook: aconchego@gmail.com</li>
                    <li class="list-group-item">Instagram: @aconchegodabarra</li>
                    <li class="list-group-item">E-mail: aconchego@gmail.com</li>
                 </ul>                 
        </div>
        <div class="col-md-6 order-md-2">
            <h2 class="featurette-heading"><span class="text-muted">Enviar e-mail.</span></h2>
            <form class="form">
                <div class="form-group">
                    <label for="name">Nome: </label>
                    <input type="text" name="name" id="name" class="form-control ml-2" placeholder="Ex: Alef" aria-describedby="helpId">                    
                </div>
                <div class="form-group">
                    <label for="email">E-mail: </label>
                    <input type="text" name="email" id="email" class="form-control ml-2" placeholder="example@example" aria-describedby="helpId">                    
                </div>
                <div class="form-group">
                    <label for="">Mensagem: </label>
                    <textarea class="form-control" name="message" id="message" rows="3"></textarea>
                </div>                
                <div class="form-group">
                    <button type="button" class="btn btn-outline-primary ml-2"> Enviar</button>
                </div>
            </form>
          </div>
    </div>
</div>

app/views/pages/cultura.html.erb
<div class="container">
    <div class="row featurette">
        <div class="col-md-7 order-md-1 pt-2">
            <h2 class="display-3">Cultura caiçara</h2>
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
        </div>
        <div class="col-md-5 order-md-2">
            <img class="featurette-image img-fluid mx-auto" data-src="holder.js/500x500/auto" alt="Generic placeholder image">
          </div>
    </div>
</div>

app/views/pages/index.html.erb
<!-- Caroussel-->
<%= render 'shared/carousel' %>
<!-- Marketing messaging and featurettes
      ================================================== -->
      <!-- Wrap the rest of the page in another container to center all the content. -->

      <div class="container marketing">

        <!-- Three columns of text below the carousel -->
        <div class="row">
          <div class="col-lg-4">
            <img class="rounded-circle" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Generic placeholder image" width="140" height="140">
            <h2>Sobre o Aconchego</h2>
            <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod. Nullam id dolor id nibh ultricies vehicula ut id elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna.</p>
            <p><a class="btn btn-secondary" href="<%= sobre_path%>" role="button">View details &raquo;</a></p>
          </div><!-- /.col-lg-4 -->
          <div class="col-lg-4">
            <img class="rounded-circle" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Generic placeholder image" width="140" height="140">
            <h2>Cultura Caiçara</h2>
            <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh.</p>
            <p><a class="btn btn-secondary" href="<%= cultura_path%>" role="button">View details &raquo;</a></p>
          </div><!-- /.col-lg-4 -->
          <div class="col-lg-4">
            <img class="rounded-circle" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Generic placeholder image" width="140" height="140">
            <h2>O Mexilhão</h2>
            <p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>
            <p><a class="btn btn-secondary" href="<%= mexilhao_path%>" role="button">View details &raquo;</a></p>
          </div><!-- /.col-lg-4 -->
        </div><!-- /.row -->


        <!-- START THE FEATURETTES -->

        <hr class="featurette-divider">

        <div class="row featurette">
          <div class="col-md-7">
            <h2 class="featurette-heading">Sr. Gino - O Caiçara <span class="text-muted"> Pescador e Maricultor.</span></h2>
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>
          </div>
          <div class="col-md-5">
            <%= image_tag 'gino.jpg', class: "featurette-image img-fluid mx-auto" %>            
          </div>
        </div>

        <hr class="featurette-divider">

        <div class="row featurette">
          <div class="col-md-7 order-md-2">
            <h2 class="featurette-heading">Cultura Caiçara.</h2>
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>
          </div>
          <div class="col-md-5 order-md-1">
            <%= image_tag 'gino.jpg', class: "featurette-image img-fluid mx-auto" %>            
          </div>
        </div>

        <hr class="featurette-divider">

        <div class="row featurette">
          <div class="col-md-7">
            <h2 class="featurette-heading">O Mexilhão.</span></h2>
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>
          </div>
          <div class="col-md-5">
            <%= image_tag 'gino.jpg', class: "featurette-image img-fluid mx-auto" %>            
          </div>
        </div>

        <hr class="featurette-divider">

        <!-- /END THE FEATURETTES -->

      </div><!-- /.container -->

app/views/pages/mexilhao.html.erb
<div class="container">
    <div class="row featurette">
        <div class="col-md-7 order-md-1 pt-2">
            <h2 class="display-4">Mexilhão - <span class="text-muted"> "Marisco"</span></h2>
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
        </div>
        <div class="col-md-5 order-md-2">
            <img class="featurette-image img-fluid mx-auto" data-src="holder.js/500x500/auto" alt="Generic placeholder image">
          </div>
    </div>
</div>

app/views/pages/sobre.html.erb
<div class="container">
    <div class="row featurette">
        <div class="col-md-7 order-md-1">
            <h2 class="display-3">Aconchego da Barra</h2>
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
            <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>         
        </div>
        <div class="col-md-5 order-md-2">
            <img class="featurette-image img-fluid mx-auto" data-src="holder.js/500x500/auto" alt="Generic placeholder image">
          </div>
    </div>
</div>

app/views/shared/_carousel.html.erb
<div id="myCarousel" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
          <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
          <li data-target="#myCarousel" data-slide-to="1"></li>
          <li data-target="#myCarousel" data-slide-to="2"></li>
        </ol>
        <div class="carousel-inner">
          <div class="carousel-item active">
            <%= image_tag 'slide-1.jpg', class: "first-slide", alt:'First Slide' %>                        
            <div class="container">
              <div class="carousel-caption text-left ">
                <h1>Nossa História.</h1>
                <p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>
                <p><a class="btn btn-lg btn-primary" href="/sobre" role="button">Ler mais >></a></p>
              </div>
            </div>
          </div>
          <div class="carousel-item">
            <img class="second-slide" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Second slide">
            <div class="container">
              <div class="carousel-caption">
                <h1>O Mexilhão.</h1>
                <p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>
                <p><a class="btn btn-lg btn-primary" href="/mexilhao" role="button">Ler mais >></a></p>
              </div>
            </div>
          </div>
          <div class="carousel-item">
            <img class="third-slide" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Third slide">
            <div class="container">
              <div class="carousel-caption text-right">
                <h1>A Cultura Caiçara.</h1>
                <p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>
                <p><a class="btn btn-lg btn-primary" href="/cultura" role="button">Ler mais >></a></p>
              </div>
            </div>
          </div>
        </div>
        <a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>

app/views/shared/_footer.html.erb
 <!-- FOOTER -->
<footer class="container">
    <p class="float-right"><a href="/">Back to top</a></p>
    <p>&copy; 2017-2018 Aconchego da Barra, Inc. &middot; <a href="#">Privacy</a> &middot; <a href="#">Terms</a></p>
</footer>

app/views/shared/_header.html.erb
<header>
      <nav class="navbar navbar-expand-md navbar-dark fixed-top" style="background-color: #0000FF;">
       <%= link_to 'Aconchego da barra', root_path, class: 'navbar-brand' %>
        <i class="fa fa-stroopwafel"></i> 
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <%= link_to 'Home', root_path, class: 'nav-link' %>                                     
            </li>
            <li class="nav-item">
                <%= link_to 'Sobre', sobre_path, class: 'nav-link'%>                             
            </li>
            <li class="nav-item">
                <%= link_to 'Cultura caiçara', cultura_path, class: 'nav-link' %>                            
            </li>
            <li class="nav-item">
                <%= link_to 'Mexilhão', mexilhao_path, class: 'nav-link' %>                              
            </li>
            <li class="nav-item">
                <%= link_to 'Contato', contato_path, class: 'nav-link' %>
                                 
            </li>
          </ul>          
        </div>
      </nav>